.engbvjw-main-container {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
  padding-right: 15px;
  padding-left: 15px;
  max-width: 1140px;
}

.engbvjw-post-main {
  margin-top: 30px;
  display: grid;
  box-sizing: border-box;
  grid-template-columns: 70% 30%;
}

.text-align-justify {
  text-align: justify;
}

.btn-button-a-permalink {
  padding: 10px 20px;
  border: 1px solid var(--wp--preset--color--main);
  margin: 5px;
  display: block;
  max-width: 140px;
  width: 140px;
  height: 40px;
  border-radius: 20px;
  text-align: center;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.engbvjw-post-left-li {
  display: grid;
  grid-template-columns: 30% 70%;
  align-items: center;
}

.engbvjw-content-main {
  display: grid;
  grid-template-columns: minmax(150px, 1fr) auto;
  padding: 4px;
}

.engbvjw-newpost-right {
  padding: 15px 0 0 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.engbvjw-content-related article {
  margin: 15px;
  border: 1px dashed #054d7f55;
  border-radius: 12px;
  padding: 0 10px;
}

.engbvjw-post-left-li .engbvjw-post-left-li-img {
  width: 100%;
}

.engbvjw-post-left-li .engbvjw-post-left-li-img img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 12px;
}

.engbvjw-post-left-li .engbvjw-post-left-li-content {
  display: flex;
  flex-direction: column;
  gap: 5px;
  justify-content: center;
  padding: 5px 10px;
}

.engbvjw-post-left-li-content p {
  font-size: 18px;
  color: var(--wp--preset--color--main);
}

.engbvjw-post-left-li-content h3 {
  font-size: 18px;
  color: var(--wp--preset--color--main);
  font-weight: 700;
  position: relative;
}

.engbvjw-post-left-li-content h3::before {
  content: "";
  width: 15%;
  height: 2px;
  background: var(--primary55-color-main);
  position: absolute;
  bottom: 0;
}

.engbvjw-post-left .engbvjw-post-left-item ul li {
  margin: 10px 0 15px;
  padding: 5px;
  border: 1px dashed var(--wp--preset--color--main55);
  border-radius: 15px;
}

.engbvjw-post-left-item li:hover {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
    rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;
  cursor: pointer;
}

.engbvjw-post-left-item li:hover .btn-button-a-permalink {
  color: #fff;
  background: var(--wp--preset--color--main);
}

.engbvjw-pageright-left-n-single {
  margin-top: 15px;
}

.engbvjw-related-post-cat {
  height: 650px;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 10px 0 0 0;
}

.engbvjw-related-post-cat::-webkit-scrollbar {
  width: 8px;
}

.engbvjw-related-post-cat::-webkit-scrollbar-thumb {
  background-color: #054d7f55;
  border-radius: 10px;
}

.engbvjw-related-post-cat::-webkit-scrollbar-thumb:hover {
  background-color: #054d7f;
}

.engbvjw-related-post-cat::-webkit-scrollbar-track {
  background-color: #f1f1f1;
  border-radius: 12px;
}

.engbvjw-cat-title {
  color: var(--wp--preset--color--white);
  font-size: 20px;
  text-align: center;
  background: var(--wp--preset--color--main);
  border-radius: 12px 12px 0 0;
  padding: 10px;
  border: 3px dashed var(--wp--preset--color--white);
  margin: 0;
}

.category-name-single {
  font-size: 14px;
  margin: 0 0 1px;
}

.engbvjw-newpost-left img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 12px;
  padding: 20px 5px;
}

.engbvjw-newpost-left p.category-name-single a {
  color: var(--wp--preset--color--main);
}

.post-date p {
  margin: 0;
  color: #054d7f;
  text-align: right;
}

.engbvjw-post-title {
  font-size: 14px;
  font-weight: 500;
  padding: 5px;
}

.engbvjw-post-title a {
  color: var(--wp--preset--color--main);
}

.bvjw-content-post-sidebar {
  padding: 10px 0 0 20px;
}

/* css single post*/

.engbvjw-post-main-contents-title h2 {
  font-size: 1.6rem;
  color: var(--wp--preset--color--main);
  font-weight: bold;
  padding: 5px 0;
  text-transform: capitalize;
  text-align: start;
}

.engbvjw-post-single-detail h2,
.engbvjw-post-single-detail h3,
.engbvjw-post-single-detail h4,
.engbvjw-post-single-detail h5,
.engbvjw-post-single-detail h6 {
  color: var(--wp--preset--color--main);
  font-size: 1.3rem;
  line-height: 1.2;
  padding: 10px 0;
  font-weight: bold;
  margin: 10px 0;
  border-bottom: 4px solid var(--wp--preset--color--main);
  text-transform: none;
  display: inline-block;
}

.engbvjw-post-single-detail h3,
.engbvjw-post-single-detail h4,
.engbvjw-post-single-detail h5,
.engbvjw-post-single-detail h6 {
  font-size: 1.2rem;
  border: unset;
}

.engbvjw-post-single-detail h4 {
  font-size: 1.1rem;
}

.engbvjw-post-single-detail h5 {
  font-size: 1rem;
}

.engbvjw-post-single-detail h6 {
  font-size: 1rem;
}

.engbvjw-post-single-detail p {
  font-size: 1rem !important;
  line-height: 1.6;
  padding: 5px 0;
}

.engbvjw-post-single-detail p :where(iframe, img, video) {
  width: 100%;
}

.engbvjw-post-single-detail figure img {
  margin: auto;
}

.table-single-posts {
  width: 100%;
  height: 150px;
  font-size: 1.2rem;
}

.table-single-posts tr td {
  border: 1px solid var(--primary55-color-main);
  padding: 5px;
}

.engbvjw-post-single-detail * img {
  width: 100%;
  height: auto;
  display: block;
}

.dmca-badge img {
  max-width: 100px;
}

.posts-tags ul#menu-menu-post-cate {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.posts-tags .menu-select {
  border-radius: 20px;
  padding: 10px 20px;
  border: 1px solid var(--wp--preset--color--main55);
  margin-top: 10px;
  background-color: #fff;
  transition: all 0.3s ease;
}

.posts-tags .menu-select:focus {
  border-color: var(
    --wp--preset--color--main55
  ); /* Thay đổi màu viền khi focus */
  background-color: var(
    --wp--preset--color--white
  ); /* Thay đổi màu nền khi focus */
  outline: none;
  box-shadow: 0 0 8px var(--wp--preset--color--main55); /* Hiệu ứng shadow */
}

.posts-tags .menu-select:active {
  border-color: var(--wp--preset--color--main); /* Màu viền khi active */
  background-color: var(--wp--preset--color--main55); /* Màu nền khi active */
}

.breadcumbs {
  margin: 10px 0 0;
  font-size: 1rem;
  line-height: 35px;
}

.details-posts-tags {
  margin-top: 10px;
}

.breadcumbs * {
  color: var(--wp--preset--color--main);
}

.details-posts {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

hr.line_breadcrumbs {
  border: none;
  height: 2px;
  background: var(--wp--preset--color--main55);
  margin: 10px 200px 0;
}

.engbvjw-post-single-detail .sapo {
  padding: 10px 0;
  line-height: 1.6;
  font-size: 1rem;
}

.engbvjw-post-single-detail p a {
  color: var(--wp--preset--color--main);
  text-decoration: underline;
}

.engbvjw-post-single-detail ul {
  padding: 5px 0;
  margin: 0 0 0 20px;
}

.engbvjw-post-single-detail ul li {
  padding: 5px 0;
  font-size: 1rem;
  list-style: disc;
}

.engbvjw-post-main-contents {
  padding: 0 1rem;
  text-align: justify;
}

.posts-tags {
  display: flex;
  gap: 10px;
}
.posts-tags a.tag-link {
  color: var(--wp--preset--color--main);
  font-size: 1rem;
  padding: 10px;
  background: var(--wp--preset--color--green);
  display: flex;
  justify-content: center;
  border-radius: 30px;
  margin: 10px 0;
  text-align: left;
}

.posts-tags a.tag-link:hover {
  color: var(--wp--preset--color--main);
  background: var(--wp--preset--color--main55);
  cursor: pointer;
}

.dmca-badge {
  text-align: right;
}

.engbvjw-post-left-item .engbvjw-post-left-item-title h2 {
  color: var(--wp--preset--color--main);
}

.page-title-2 img {
  object-fit: cover;
}

.engbvjw-post-single-detail table {
  border: 1px solid #ededed;
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 14px;
  line-height: 2;
  margin: 0 0 20px;
  width: 100%;
}

.engbvjw-post-single-detail tr th {
  background: #005495;
  color: #fff;
  border: 1px solid #00000033;
  font-size: 1.1rem;
  padding: 6px 10px;
}

.engbvjw-post-single-detail td {
  border: 1px solid #005495;
  padding: 6px 10px;
  text-align: start;
  font-size: 1rem;
}

.contact-container-main-single {
  width: 100%;
  text-align: center;
  margin-top: 20px;
}
.contact-container-title-single {
  font-size: 1.6rem;
  margin: auto;
  padding: 10px;
  display: inline;
}
.contact-container-single {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  align-items: center;
  margin-top: 20px;
}
.contact-container-single a {
  flex: 1;
  max-width: calc(50% - 10px);
  display: inline-block;
  text-decoration: none;
}
.contact-card-single {
  background-color: var(--wp--preset--color--main);
  color: var(--wp--preset--color--white);
  border-radius: 10px;
  padding: 20px;
  display: flex;
  align-items: center;
  gap: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

.contact-card-single img {
  width: 40px;
  height: 40px;
}
.contact-info-single {
  display: flex;
  flex-direction: column;
}
.contact-info-single p {
  font-size: 1rem;
}

.related-posts {
  margin: 10px 5px 5px;
  padding: 1px 1.5%;
  border-left: 5px solid #005495;
  background-color: #dbedf9;
}

.related-posts .related-posts-seen-mo {
  font-weight: 600;
}

.related-posts span {
  color: #000000;
}

.related-posts ul {
  list-style-type: disc;
  padding: 10px 0 0 1.5rem;
}

.related-posts ul li.related-posts-ul-li {
  margin-bottom: 10px;
  list-style: disc;
}

.related-posts-ul-li a {
  text-decoration: underline;
}

.related-posts ul li.related-posts-ul-li a:hover {
  color: #005495;
}

.engbvjw-post-right {
  height: 100%;
}

.side {
  position: sticky;
  top: 70px;
  max-width: 360px;
  width: 100%;
  margin-top: 20px;
  padding: 0 0 0 20px;
}

.side a {
  display: block;
  text-align: center;
}

.side a img {
  width: 100%;
}

@media (max-width: 991.98px) {
  .engbvjw-content-main {
    grid-template-columns: 1fr;
    padding: 4px;
  }

  .engbvjw-newpost-right {
    gap: 4px;
  }
}

@media (max-width: 767.98px) {
  .engbvjw-post-main {
    grid-template-columns: 100%;
  }

  .side {
    position: static;
    max-width: 100%;
    width: 100%;
    margin-top: 20px;
    padding: 0;
  }

  .side a img {
    width: fit-content;
  }

  .engbvjw-post-right {
    margin-inline: auto;
  }
  .contact-container-single {
    flex-direction: column;
    align-items: unset;
  }

  .contact-container-single a {
    max-width: 100%;
  }

  .contact-card-single {
    padding: 15px;
    justify-content: flex-start;
    width: 100%;
  }

  .contact-info-single {
    flex-direction: unset;
    display: flex;
    justify-content: flex-start;
    gap: 10px;
  }

  .details-posts {
    flex-direction: column;
    align-items: start;
  }

  .posts-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
  }
}

/*End css single post*/
